import os
import sys

def hello_world(file_path):
    """
    Create a file at the given file path and write 'Hello World' to it.
    Returns the file path of the created file.
    """
    # Define the message
    message = "Hello World"

    # Check if the file already exists
    if os.path.exists(file_path):
        print(f'Error: File {file_path} already exists.', end='')
        sys.exit(1)

    # Create and write to the file
    with open(file_path, "w") as file:
        file.write(message)

    # Return the file path
    return file_path


if __name__ == "__main__":
    # Ensure the script is called with a filename argument
    if len(sys.argv) != 2:
        print("Usage: python script_name.py <filename>")
        sys.exit(1)

    # Get the file path from the command line
    file_path = sys.argv[1]

    # Create the file and print the file path
    created_file = hello_world(file_path)
    print(f'{created_file}', end='')
